<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.13
Name: [4] Przedmiot skierowania na badanie w związku z podejrzeniem choroby zawodowej
Description: Szablon CDA dla przedmiotu skierowania na badanie w związku
            podejrzeniem choroby zawodowej
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000">
   <title>[4] Przedmiot skierowania na badanie w związku z podejrzeniem choroby zawodowej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]"
         id="tmp-r-cafcd6ca-f1e6-4845-9789-e06948d5db63">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13'])&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']"
         id="tmp-r-673b5e81-87de-4419-acaf-c73a2bb7b792">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13'] | self::hl7:encounter[@classCode='ENC' and @moodCode='RQO'])])">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot skierowania na badanie w związku z podejrzeniem choroby zawodowej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13']/@nullFlavor)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13'])&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="count(hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]])&gt;=1 and not(hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/@nullFlavor)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="count(hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]])&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13']
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.13']"
         id="tmp-r-48fbccb3-b61c-4823-b07c-6cbb8643cc4f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.13'">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.13'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]"
         id="tmp-r-8dcd646f-9f57-4d01-a633-9da32d2c571f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="string(@classCode)='ENC'">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Wartość dla @classCode MUSI wynosić 'ENC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="string(@moodCode)='RQO'">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:id | self::hl7:code[@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4' and @displayName='Poradnia medycyny pracy'] | self::hl7:text | self::hl7:effectiveTime | self::hl7:priorityCode[@codeSystem='2.16.840.1.113883.5.7'])])">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot skierowania na badanie w związku z podejrzeniem choroby zawodowej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="count(hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')])&gt;=1 and not(hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]/@nullFlavor)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="count(hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')])&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:id
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:id"
         id="tmp-r-f4b33147-9825-476c-9bd3-ed6880fd5356">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]"
         id="tmp-r-efd13472-ab13-4feb-b038-94cdf34220d5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="@nullFlavor or (@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4' and @displayName='Poradnia medycyny pracy')">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Wartość elementu MUSI wynosić code '1160' codeSystem '2.16.840.1.113883.3.4424.11.2.4' displayName='Poradnia medycyny pracy'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:effectiveTime
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:effectiveTime"
         id="tmp-r-2e60a5c7-ba7d-4e72-a787-5514986cfd2b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.13
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:priorityCode
Item: (plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/hl7:encounter[hl7:code[(@code='1160' and @codeSystem='2.16.840.1.113883.3.4424.11.2.4')]]/hl7:priorityCode"
         id="tmp-r-f6170c74-6fba-4782-b30c-e0b53868e20b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Wartość elementu MUSI wynosić PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.13-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaRequestedEncounterDueToSuspectedOccupationalDiseaseEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE)</assert>
   </rule>
</pattern>
